공지사항

업데이트 내역, 신제품/이벤트 소식 등 다양한 정보를 제공합니다.

[공지] 취약점 공격 보호 기능이 추가된 AppCheck 2.4.1.1 버전

랜섬웨어(Ransomware)를 비롯한 악성코드 감염의 대표적인 방식으로 웹 브라우저, Adobe Flash Player 등의 소프트웨어 취약점(Exploit)을 통해 자동 감염되는 방식이 활용되고 있으며, 실제로 최근 국내를 표적으로 유포되는 Magniber 랜섬웨어는 보안 패치가 제대로 이루어지지 않은 사용자가 웹 사이트에 접속하는 행위만으로도 자동 감염되어 많은 피해를 유발하고 있습니다.

이에 앱체크(AppCheck)에서는 취약점을 통한 자동 감염을 사전에 차단할 목적으로 "취약점 공격 보호(취약점 가드)" 기능이 추가된 AppCheck 2.4.1.1 버전을 공개하였습니다.

 

이번 AppCheck 2.4.1.1 버전에서는 취약점 공격 보호 기능이 베타(Beta) 형식으로 추가되어 AppCheck 무료/유료 버전 사용자 모두가 사용할 수 있도록 제공됩니다.
 

취약점 공격 보호 기능 사용을 위해서는 앱체크 메인 화면의 "취약점 공격 보호 (Beta)" 옵션을 활성화(ON)하시면 사용 가능하며, 활성화 시 "해당 기능은 현재 베타로 제공되는 기능이며 사용에 주의가 필요합니다. 안내글을 읽으시겠습니까?" 메시지 창을 확인할 수 있습니다.
 

세부적으로 취약점 가드 옵션을 살펴보면 보호할 응용 프로그램은 다음과 같이 4종류로 분류할 수 있습니다.
 
웹 브라우저 Internet Explorer, Microsoft Edge, Chrome, Firefox
플러그인 Java, Adobe Flash Player
미디어 재생기 Windows Media Player, Windows Media Center, 곰플레이어, 팟플레이어(PotPlayer)
오피스 Microsoft Office, 한컴오피스, Adobe Acrobat

해당 보호할 응용 프로그램이 실행되어 동작하는 과정에서 취약점(Exploit) 공격을 통한 코드 실행이 이루어질 경우 차단하여 악성코드가 실행되는 것을 사전에 차단하며, 이를 통해 랜섬웨어(Ransomware) 뿐만 아니라 다양한 악성코드 감염을 위한 취약점 공격을 사전에 차단할 수 있습니다.
 

탐지되는 모습을 살펴보면 사용자가 Internet Explorer 웹 브라우저를 이용하여 웹 사이트를 방문하는 과정에서 취약점(Exploit) 공격을 받을 경우 "취약점 공격 탐지" 경고창을 통한 차단 메시지를 표시하는 것을 보실 수 있습니다.
 

메시지 창을 클릭하시면 AppCheck 알림창을 통해 차단된 프로그램에 대한 안내를 받을 수 있으며, 자세히 버튼을 클릭하시면 추가적인 정보를 확인할 수 있습니다.

참고로 취약점 공격 보호 기능을 통해 차단된 프로그램은 신뢰 파일 등록과 무관하게 차단이 이루어집니다.

 

AppCheck 도구의 위협 로그에서는 취약점 공격 탐지를 통해 차단된 프로세스에 대한 정보를 확인할 수 있습니다.
 

취약점 공격 보호(취약점 가드) 기능 추가에 따라 탐지 시 확인된 의심 파일에 대한 전송 기능이 추가되었으며, AppCheck 옵션의 "탐지시 의심 파일 전송하기(익명으로 처리되며 분석 외 다른 용도로 사용되지 않습니다.)" 항목을 통해 전송 여부를 결정할 수 있습니다.

단, 앱체크의 탐지 및 기능 개선을 위해서는 의심 파일 전송 기능을 기본값으로 유지하시고 사용해 주시기 바랍니다.

 

AppCheck 2.4.1.1 버전에 추가된 취약점 공격 보호(취약점 가드) 기능은 취약점(Exploit) 방식으로 유포되는 다양한 악성코드 감염을 사전에 차단할 수 있는 방어 기술로 더욱 강화된 방어 기술로 사용자를 보호할 수 있으므로 앱체크 업데이트 후 반드시 취약점 공격 보호 기능을 활성화하시고 사용하시기 바랍니다.

취약점 공격 보호 (취약점 가드) 기능은 현재 베타(Beta) 버전인 관계로 사용 중에 보호할 응용 프로그램(웹 브라우저, 오피스, 멀티 미디어 재생 프로그램 등)이 실행 시 동작하지 않거나 취약점 차단이 발생하는 등 비정상적으로 동작할 수 있습니다.

만약 정상적으로 실행되지 않는 문제가 발생하는 경우에는 AppCheck 옵션의 "취약점 가드 (BETA)" 항목에서 문제가 발생하는 항목의 체크 박스를 해제하시거나 취약점 공격 보호 기능을 비활성화해 주시기 바랍니다.


또한 관련된 제품 버그(Bug) 및 기능 개선을 위한 의견이 있으신 경우에는 체크멀 온라인 문의로 전달해 주시기 바랍니다.

마지막으로 취약점 공격 보호(취약점 가드) 기능을 통해 Magniber 랜섬웨어를 실제 차단하는 앱체크(AppCheck) 모습을 동영상을 통해 확인하시기 바랍니다.

 


◆ 현재 알려진 대표적인 버그(Bug) 및 조치 방법

(1) AppCheck 2.4.2.1 버전 : Windows x64 운영 체제 환경에서 한컴오피스 2018 한글(HWP) 프로그램 실행 시 종료되는 문제가 발생합니다.
 - (조치 방법) AppCheck 2.4.2.2 버전 업데이트를 통해 해결되었습니다.

목록

위로